org.apache.poi.hemf.record.emf

## Class HemfDraw.EmfPolylineTo

- java.lang.Object
- - org.apache.poi.hwmf.record.HwmfDraw.WmfPolygon
  - - org.apache.poi.hemf.record.emf.HemfDraw.EmfPolygon
    - - org.apache.poi.hemf.record.emf.HemfDraw.EmfPolyline
      - - org.apache.poi.hemf.record.emf.HemfDraw.EmfPolylineTo

- All Implemented Interfaces:
    GenericRecord, HemfRecord, HwmfRecord
  Direct Known Subclasses:
    HemfDraw.EmfPolylineTo16
  Enclosing class:
    HemfDraw

      public static class HemfDraw.EmfPolylineTo
      extends HemfDraw.EmfPolyline

  The EMR_POLYLINETO record specifies one or more straight lines based upon the current position.

- - ### Field Summary

    - ### Fields inherited from class org.apache.poi.hwmf.record.HwmfDraw.WmfPolygon

      `poly`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EmfPolylineTo()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `draw(HemfGraphics ctx)` Draws the record, the default redirects to the parent WMF record drawing
    `HemfRecordType` | `getEmfRecordType()`
    `protected boolean` | `hasStartPoint()`

    - ### Methods inherited from class org.apache.poi.hemf.record.emf.HemfDraw.EmfPolyline

      `getFillDrawStyle`

    - ### Methods inherited from class org.apache.poi.hemf.record.emf.HemfDraw.EmfPolygon

      `getBounds, getGenericProperties, getGenericRecordType, init, readPoint`

    - ### Methods inherited from class org.apache.poi.hwmf.record.HwmfDraw.WmfPolygon

      `draw, getPoly, getWmfRecordType, init, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.poi.hemf.record.emf.HemfRecord

      `setHeader`

    - ### Methods inherited from interface org.apache.poi.common.usermodel.GenericRecord

      `getGenericChildren`

- - ### Constructor Detail

    - #### EmfPolylineTo

          public EmfPolylineTo()

  - ### Method Detail

    - #### getEmfRecordType

          public HemfRecordType getEmfRecordType()

      Specified by:
        `getEmfRecordType` in interface `HemfRecord`
      Overrides:
        `getEmfRecordType` in class `HemfDraw.EmfPolyline`

    - #### hasStartPoint

          protected boolean hasStartPoint()

      Overrides:
        `hasStartPoint` in class `HemfDraw.EmfPolygon`
      Returns:
        true, if start point is in the list of points. false, if start point is taken from the context

    - #### draw

          public void draw(HemfGraphics ctx)

      Description copied from interface: `HemfRecord`
      Draws the record, the default redirects to the parent WMF record drawing
      Specified by:
        `draw` in interface `HemfRecord`
      Overrides:
        `draw` in class `HemfDraw.EmfPolygon`
      Parameters:
        `ctx` - the drawing context

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.